> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Available Appointment Staff

> A `POST` to the `/appointment-definitions/{appointmentDefinitionId}/available-staff` endpoint allows your application to retrieve available staff for an appointment definition.



## OpenAPI

````yaml post /v3/appointment-definitions/{appointmentDefinition}/available-staff
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/appointment-definitions/{appointmentDefinition}/available-staff:
    post:
      tags:
        - Appointment Availability
      summary: Browse Available Appointment Staff
      description: >-
        A `POST` to the
        `/appointment-definitions/{appointmentDefinitionId}/available-staff`
        endpoint allows your application to retrieve available staff for an
        appointment definition.
      operationId: appointmentAvailability.staff
      parameters:
        - name: appointmentDefinition
          in: path
          required: true
          description: The appointment definition ID
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListAppointmentAvailableStaff'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AppointmentAvailableStaffResource'
                  meta:
                    type: object
                    properties:
                      appointment_definition_id:
                        type: integer
                      location_id:
                        type: string
                      date:
                        type: string
                      requires_staff:
                        type: boolean
                      customer_must_select_staff:
                        type: boolean
                      selection_required_by_customer:
                        type: boolean
                      assigned_staff_required:
                        type: boolean
                    required:
                      - appointment_definition_id
                      - location_id
                      - date
                      - requires_staff
                      - customer_must_select_staff
                      - selection_required_by_customer
                      - assigned_staff_required
                required:
                  - data
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    ListAppointmentAvailableStaff:
      type: object
      properties:
        location_id:
          type: integer
        date:
          type: string
          format: date
        available_only:
          type: boolean
      required:
        - location_id
        - date
      title: ListAppointmentAvailableStaff
    AppointmentAvailableStaffResource:
      type: object
      properties:
        id:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        email:
          type: string
        has_available_slots:
          type: string
        is_default_location:
          type: string
        appointment_definition_staff_sort_order:
          type: string
        location_profile_sort_order:
          type: string
      required:
        - id
        - first_name
        - last_name
        - email
        - has_available_slots
        - is_default_location
        - appointment_definition_staff_sort_order
        - location_profile_sort_order
      title: AppointmentAvailableStaffResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````